Page MenuHomePhabricator

Deploy QuickSurvey for Automoderator patroller workstream survey
Closed, ResolvedPublic3 Estimated Story Points

Description

As part of our efforts to understand how patroller behaviours will change when Automoderator is deployed, we have a survey which we want to distribute to experienced editors across a number of wikis. We think the best way to do this is to leverage QuickSurveys.

The survey should target users based on these criteria:

  • Minimum edits: 500
  • Registration end: 2024-01-01
  • Registered users only (no anons)

It should have a duration of one month.

It should be deployed to the following wikis:

  • en.wiki
  • id.wiki
  • fr.wiki
  • hi.wiki

Target respondent count is 50-200. We want to present this to ~2000 users. The expected response rate is ~12%, so 200 / 0.12 = 1700 (rounded to nearest 100). 2000 to be safe

The survey will be an 'external' type, linking out to a Qualtrics survey.

QuickSurvey text and response text are as shown in the table below:

LanguageSurvey textResponse 1Response 2
enAre you interested in taking a short survey on reviewing or reverting edits on your wiki?YesNo
frSouhaitez-vous répondre à une courte enquête sur la révision ou l'annulation des modifications sur votre wiki ?OuiNon
idApakah Anda tertarik mengikuti survei singkat perihal meninjau atau mengembalikan suntingan pada wiki Anda?YaTidak
hiक्या आप अपने विकि पर एडिट को रिव्यू करने या उन्हें रिवर्ट करने के संबंध में एक शॉर्ट सर्वे में भाग लेने में रुचि रखते हैं?हांनहीं

Response 1 should link to the Qualtrics survey.

Event Timeline

QuickSurvey text and response text are as shown in the table below:

LanguageSurvey textResponse 1Response 2
enAre you interested in taking a short survey on reviewing or reverting edits on your wiki?YesNo
frSouhaitez-vous répondre à une courte enquête sur la révision ou l'annulation des modifications sur votre wiki ?OuiNon
idApakah Anda tertarik mengikuti survei singkat perihal meninjau atau mengembalikan suntingan pada wiki Anda?YaTidak
hiक्या आप अपने विकि पर एडिट को रिव्यू करने या उन्हें रिवर्ट करने के संबंध में एक शॉर्ट सर्वे में भाग लेने में रुचि रखते हैं?हांनहीं

Response 1 should link to the Qualtrics survey.

jsn.sherman set the point value for this task to 3.May 28 2024, 3:16 PM
jsn.sherman subscribed.

@Samwalton9-WMF We'll need someone who is targeted on each wiki to verify that it has been correctly deployed.

@Samwalton9-WMF We'll need someone who is targeted on each wiki to verify that it has been correctly deployed.

You can ping the following folks to check:
en.wiki - @Seddon
fr.wiki - @Trizek-WMF
id.wiki - @BAPerdana-WMF
hi.wiki - TBD

I'll find someone for Hindi, just LM when deployed.

Hello, I don't see a description for the survey question, can someone help provide me one? thanks!

Also, we will need a Qualtrics URL.

Hello, I don't see a description for the survey question, can someone help provide me one? thanks!

Is this what you're looking for? If not could you elaborate what you mean by a 'description'?

QuickSurvey text and response text are as shown in the table below:

LanguageSurvey textResponse 1Response 2
enAre you interested in taking a short survey on reviewing or reverting edits on your wiki?YesNo
frSouhaitez-vous répondre à une courte enquête sur la révision ou l'annulation des modifications sur votre wiki ?OuiNon
idApakah Anda tertarik mengikuti survei singkat perihal meninjau atau mengembalikan suntingan pada wiki Anda?YaTidak
hiक्या आप अपने विकि पर एडिट को रिव्यू करने या उन्हें रिवर्ट करने के संबंध में एक शॉर्ट सर्वे में भाग लेने में रुचि रखते हैं?हांनहीं

Response 1 should link to the Qualtrics survey.

Following up on this conversation, it is possible to leave the description blank which would look like the following:

Screenshot 2024-05-30 at 12.05.53 PM.png (275×408 px, 28 KB)

Here's what it looks like with a description:

Screenshot 2024-05-30 at 11.48.00 AM.png (321×624 px, 41 KB)

@cwylo Which do you prefer? And if we do end up wanting to add the description then I'll need some copy for that. Thanks!

@cwylo said in call today that we should just omit the description to get this out the door

@cwylo
Is the registration date supposed to be the end date?

Change #1038384 had a related patch set uploaded (by Kgraessle; author: Kgraessle):

[mediawiki/extensions/WikimediaMessages@master] Add messages for Automoderator patroller workstream survey

https://gerrit.wikimedia.org/r/1038384

Change #1038388 had a related patch set uploaded (by Kgraessle; author: Kgraessle):

[operations/mediawiki-config@master] InitaliseSettings-labs: Deploy Automoderator patroller workstream survey to cawiki

https://gerrit.wikimedia.org/r/1038388

Change #1038384 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Add messages for Automoderator patroller workstream survey

https://gerrit.wikimedia.org/r/1038384

I did some quick queries to try to get the total number of targeted users on each project:
select count(user_id) from user where user_editcount > 499 and user_registration < 20240101000000;

wikiuser count
enwiki99172
frwiki11658
idwiki1722
hiwiki421

Change #1039797 had a related patch set uploaded (by Kgraessle; author: Kgraessle):

[mediawiki/extensions/WikimediaMessages@master] Deploy QuickSurvey for Automoderator patroller workstream survey

https://gerrit.wikimedia.org/r/1039797

Change #1039797 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Add messages for Automoderator patroller workstream survey

https://gerrit.wikimedia.org/r/1039797

Change #1038388 merged by jenkins-bot:

[operations/mediawiki-config@master] InitaliseSettings-labs: Deploy Automoderator patroller workstream survey to cawiki

https://gerrit.wikimedia.org/r/1038388

Mentioned in SAL (#wikimedia-operations) [2024-06-06T20:06:11Z] <urbanecm@deploy1002> Started scap: Backport for [[gerrit:1031174|Assign applychangetags right to group "all" on plwiktionary (T363638)]], [[gerrit:rOMWC103888632dd3|InitialiseSettings: Enable AutoModerator on trwiki (T362622)]], [[gerrit:1038388|InitaliseSettings-labs: Deploy Automoderator patroller workstream survey to cawiki (T362969)]]

Mentioned in SAL (#wikimedia-operations) [2024-06-06T20:08:40Z] <urbanecm@deploy1002> wargo and urbanecm and jsn and kgraessle: Backport for [[gerrit:1031174|Assign applychangetags right to group "all" on plwiktionary (T363638)]], [[gerrit:rOMWC103888632dd3|InitialiseSettings: Enable AutoModerator on trwiki (T362622)]], [[gerrit:1038388|InitaliseSettings-labs: Deploy Automoderator patroller workstream survey to cawiki (T362969)]] synced to the testservers (https://wikitech.wikimedia.org/wiki

Mentioned in SAL (#wikimedia-operations) [2024-06-06T20:20:21Z] <urbanecm@deploy1002> Finished scap: Backport for [[gerrit:1031174|Assign applychangetags right to group "all" on plwiktionary (T363638)]], [[gerrit:rOMWC103888632dd3|InitialiseSettings: Enable AutoModerator on trwiki (T362622)]], [[gerrit:1038388|InitaliseSettings-labs: Deploy Automoderator patroller workstream survey to cawiki (T362969)]] (duration: 14m 10s)

Change #1041699 had a related patch set uploaded (by Kgraessle; author: Kgraessle):

[operations/mediawiki-config@master] Deploy QuickSurvey for Automoderator patroller workstream survey

https://gerrit.wikimedia.org/r/1041699

katy to throw an invite to meet async to test before deployment

Change #1041699 merged by jenkins-bot:

[operations/mediawiki-config@master] Deploy QuickSurvey for Automoderator patroller workstream survey

https://gerrit.wikimedia.org/r/1041699

Mentioned in SAL (#wikimedia-operations) [2024-06-13T21:17:49Z] <jsn@deploy1002> Started scap: Backport for [[gerrit:1041699|Deploy QuickSurvey for Automoderator patroller workstream survey (T362969)]]

Mentioned in SAL (#wikimedia-operations) [2024-06-13T21:20:16Z] <jsn@deploy1002> jsn, kgraessle: Backport for [[gerrit:1041699|Deploy QuickSurvey for Automoderator patroller workstream survey (T362969)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-06-13T21:32:07Z] <jsn@deploy1002> Finished scap: Backport for [[gerrit:1041699|Deploy QuickSurvey for Automoderator patroller workstream survey (T362969)]] (duration: 14m 18s)

We'll be monitoring impression and submission count to see if we need to adjust the sampling count over time.

Change #1049947 had a related patch set uploaded (by Kgraessle; author: Kgraessle):

[operations/mediawiki-config@master] Update QuickSurvey coverage rate for Automoderator patroller workstream survey

https://gerrit.wikimedia.org/r/1049947

Change #1049947 merged by jenkins-bot:

[operations/mediawiki-config@master] Update QuickSurvey coverage rate for Automoderator patroller workstream survey

https://gerrit.wikimedia.org/r/1049947

Mentioned in SAL (#wikimedia-operations) [2024-06-26T20:12:18Z] <cjming@deploy1002> Started scap: Backport for [[gerrit:1049947|Update QuickSurvey coverage rate for Automoderator patroller workstream survey (T362969)]]

Mentioned in SAL (#wikimedia-operations) [2024-06-26T20:14:51Z] <cjming@deploy1002> cjming, kgraessle: Backport for [[gerrit:1049947|Update QuickSurvey coverage rate for Automoderator patroller workstream survey (T362969)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-06-26T20:21:04Z] <cjming@deploy1002> Finished scap: Backport for [[gerrit:1049947|Update QuickSurvey coverage rate for Automoderator patroller workstream survey (T362969)]] (duration: 08m 46s)

Change #1051756 had a related patch set uploaded (by Kgraessle; author: Kgraessle):

[operations/mediawiki-config@master] Remove QuickSurvey coverage rate for Automoderator patroller workstream survey

https://gerrit.wikimedia.org/r/1051756

Change #1051756 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove QuickSurvey for Automoderator patroller workstream survey

https://gerrit.wikimedia.org/r/1051756

Mentioned in SAL (#wikimedia-operations) [2024-07-03T20:03:06Z] <cjming@deploy1002> Started scap sync-world: Backport for [[gerrit:1051756|Remove QuickSurvey for Automoderator patroller workstream survey (T362969)]]

Mentioned in SAL (#wikimedia-operations) [2024-07-03T20:05:48Z] <cjming@deploy1002> kgraessle, cjming: Backport for [[gerrit:1051756|Remove QuickSurvey for Automoderator patroller workstream survey (T362969)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-07-03T20:11:29Z] <cjming@deploy1002> Finished scap: Backport for [[gerrit:1051756|Remove QuickSurvey for Automoderator patroller workstream survey (T362969)]] (duration: 08m 22s)